import { ScatterBase } from "./ScatterBase";
import { Type } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterSplineSeries extends ScatterBase {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    pb: number;
    protected i7(a: any, b: string, c: any, d: any): void;
    protected bd(): SeriesHitTestMode;
    of(a: ScatterFrame, b: ScatterBaseView): void;
    private pe;
    private pa;
    h3(a: boolean, b: SeriesView): void;
    oo(a: ScatterFrame, b: ScatterBaseView): void;
    static $$p: string[];
}
